Date: Tuesday, April 10, 2018 @ 09:26:17
  Author: alucryd
Revision: 315546

archrelease: copy trunk to community-staging-x86_64

Added:
  dolphin-emu/repos/community-staging-x86_64/
  dolphin-emu/repos/community-staging-x86_64/PKGBUILD
    (from rev 315545, dolphin-emu/trunk/PKGBUILD)
  dolphin-emu/repos/community-staging-x86_64/dolphin-emu-5.0-gtk3.patch
    (from rev 315545, dolphin-emu/trunk/dolphin-emu-5.0-gtk3.patch)

----------------------------+
 PKGBUILD                   |   59 +++++++++++++++++++++++++++++++++++++++++++
 dolphin-emu-5.0-gtk3.patch |   25 ++++++++++++++++++
 2 files changed, 84 insertions(+)

Copied: dolphin-emu/repos/community-staging-x86_64/PKGBUILD (from rev 315545, 
dolphin-emu/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD                           (rev 0)
+++ community-staging-x86_64/PKGBUILD   2018-04-10 09:26:17 UTC (rev 315546)
@@ -0,0 +1,59 @@
+# $Id$
+# Maintainer: schuay <jakob.gru...@gmail.com>
+# Maintainer: Maxime Gauduin <aluc...@archlinux.org>
+# Contributor: Jeremy Newton (Mystro256) <alexjn...@gmail.com>
+
+pkgname=dolphin-emu
+pkgver=5.0.r6362.c08f6f0c53
+pkgrel=2
+epoch=1
+pkgdesc='A Gamecube / Wii / Triforce emulator'
+arch=('x86_64')
+url='http://dolphin-emu.org'
+license=('GPL')
+depends=('alsa-lib' 'bluez-libs' 'cairo' 'enet' 'gcc-libs' 'gdk-pixbuf2'
+         'glib2' 'glibc' 'gtk2' 'hidapi' 'libevdev' 'libgl' 'libpng' 'libpulse'
+         'libsm' 'libx11' 'libxi' 'libxrandr' 'libxxf86vm' 'lzo' 'mbedtls'
+         'pango' 'sfml' 'zlib'
+         'libavcodec.so' 'libavformat.so' 'libavutil.so' 'libcurl.so'
+         'libminiupnpc.so' 'libswscale.so' 'libudev.so' 'libusb-1.0.so')
+makedepends=('cmake' 'git')
+optdepends=('pulseaudio: PulseAudio backend')
+options=('!emptydirs')
+_commit='c08f6f0c5335464c70c9c5e56330baced5ba6802'
+source=("dolphin-emu::git+https://github.com/dolphin-emu/dolphin.git#commit=${_commit}";)
+sha256sums=('SKIP')
+
+pkgver() {
+  cd dolphin-emu
+
+  git describe | sed 's/-/.r/; s/-g/./'
+}
+
+prepare() {
+  if [[ -d build ]]; then
+    rm -rf build
+  fi
+  mkdir build
+}
+
+build() {
+  cd build
+
+  cmake ../dolphin-emu \
+    -DCMAKE_INSTALL_PREFIX='/usr' \
+    -DENABLE_QT2='OFF' \
+    -DUSE_SHARED_ENET='ON' \
+    -DDISTRIBUTOR='archlinux.org'
+  make
+}
+
+package() {
+  cd build
+
+  make DESTDIR="${pkgdir}" install
+
+  install -Dm 644 ../dolphin-emu/Data/51-usb-device.rules -t 
"${pkgdir}"/usr/lib/udev/rules.d/
+}
+
+# vim: ts=2 sw=2 et:

Copied: dolphin-emu/repos/community-staging-x86_64/dolphin-emu-5.0-gtk3.patch 
(from rev 315545, dolphin-emu/trunk/dolphin-emu-5.0-gtk3.patch)
===================================================================
--- community-staging-x86_64/dolphin-emu-5.0-gtk3.patch                         
(rev 0)
+++ community-staging-x86_64/dolphin-emu-5.0-gtk3.patch 2018-04-10 09:26:17 UTC 
(rev 315546)
@@ -0,0 +1,25 @@
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -773,18 +773,10 @@ if(NOT DISABLE_WX AND NOT ANDROID)
+               execute_process(COMMAND lsb_release -c -s
+                       OUTPUT_VARIABLE DIST_NAME
+                       ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
+-              
if(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION}
+-                              VERSION_EQUAL 2.8.2 OR "${DIST_NAME}" STREQUAL 
"natty")
+-                      check_lib(GTK2 gtk+-2.0 gtk+-2.0 gtk.h REQUIRED)
+-              else()
+-                      include(FindGTK2)
+-                      if(GTK2_FOUND)
+-                              include_directories(${GTK2_INCLUDE_DIRS})
+-                              list(APPEND LIBS ${GTK2_LIBRARIES})
+-                      else()
+-                              message(FATAL_ERROR "GTK is required to build 
the WX UI. Please install the GTK development libraries.")
+-                      endif()
+-              endif()
++
++              check_lib(GTK3 gtk+-3.0 gtk.h REQUIRED)
++              include_directories(${GTK3_INCLUDE_DIRS})
++              list(APPEND LIBS ${GTK3_LIBRARIES})
+       endif()
+ 
+       if(wxWidgets_FOUND)

Reply via email to